void readifrecord(FILE *infile, int &type, int &length, unsigned char *buffer);
void writeobjectrecord(FILE *outfile, int type, int count, unsigned char * data);

// Intermediate file types:
#define IF_OBJ		0	// plain object code
#define IF_DATA		1	// dataseg offset code word
#define IF_CONST	2	// const seg offset code word
#define IF_DISPLAY	3	// display seg offset code word
#define IF_JUMP		4	// unconditional jump to label
#define IF_JCOND	5	// cond jump to label JE, JNE, JG, JGE, JL, JLE, JA, JAE, JB, JBE
#define IF_CALL		6	// call a label
#define IF_LABEL	7	// define a label
#define IF_FIXUP	8	// define location for stack fixup instruction
#define IF_SETFIX	9	// stack fixup <location> <amount>
#define IF_REQEXT	10	// external name spec
#define IF_REFEXT	12	// external name relative offset code word
#define	IF_BSS		13	// BSS segment offset code word
#define IF_COTWORD	14	// Constant table word
#define IF_DATWORD	15	// Data segment word
#define IF_SWTWORD	16	// switch table entry - actually a label ID
#define	IF_SOURCE	17	// name of the source file
#define IF_DEFEXTCODE	18	// define a code label that is external
#define IF_DEFEXTDATA	19	// define a data label that is external
#define IF_SWT		20	// switch table offset code word
#define IF_LINE		21	// line number info for debugger

#define JE 24
#define JNE 25
#define JG 26
#define JGE 27
#define JL 28
#define JLE 29

#define WORDSIZE	2

