#include <stdio.h>

void writeobjectrecord(FILE *outfile, int type, int count, unsigned char * data)
{
	int checksum, len;

	fputc(type, outfile);
	checksum = type;
	len = count + 1;		// length includes checksum byte
	fputc(len & 255, outfile);
	checksum += len & 255;
	fputc((len >> 8) & 255, outfile);
	checksum += (len >> 8) & 255;

	while(count > 0)
	{
		checksum += *data;
		fputc(*data, outfile);
		data++;
		count--;
	}

	fputc((-checksum)&255, outfile);
}
